package sgc.portal.cw.cw1601.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1601.model.CW16010001U;
import sgc.portal.cw.cw1601.dto.CW16010001USearch;

import java.util.List;

@Mapper
public interface CW16010001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW16010001USearch search);

    int insert(CW16010001U cW16010001U);

    int update(CW16010001U cW16010001U);

    int delete(CW16010001U cW16010001U);
    
    int updateStatus(CW16010001U cW16010001U);
    
    int deleteAtchfileId(CW16010001U cW16010001U);
    int selectAtchfileIdCount(CW16010001U cW16010001U);
}
